import { Repository } from 'typeorm';
import { Transaction } from './transaction.entity';
import { UserService } from 'src/user/user.service';
import { CreateTransactionDto, UpdateTransactionDto } from './transaction.dtos';
export declare class TransactionService {
    private readonly transactionsRepository;
    private readonly userService;
    constructor(transactionsRepository: Repository<Transaction>, userService: UserService);
    findOneByUUID(uuid: string): Promise<Transaction>;
    create(transaction: CreateTransactionDto): Promise<Transaction>;
    update(transaction: UpdateTransactionDto): Promise<Transaction>;
    delete(uuid: string): Promise<void>;
}
